
/* HotelAdm A small test program
 * Copyright 2003 Michael Claudius, Inc. All Rights Reserved.
 * Version 1.5 Last modified 2007.11.01
 * All rights reserved
 */

package hoteldatabase2011;

import java.sql.*;
import java.io.*;
import java.util.*;

public class HotelAdm  {
    
    public static void main(String args[]) {
        
        Connection con=null;
        Statement stmt=null;
        
        String url = "jdbc:mysql://localhost:3306/testHotel"; //data source
        String	login = "root",
                passwd ="secret";
        
        // Establish connection alternative  use Driver class. 
        // But then you must add ClassNotFoundException    
        // in the throws clause in the header of main
        // Driver driver = new com.microsoft.sqlserver.jdbc.SQLServerDriver();
        // DriverManager.registerDriver(driver);
        
        try {Class.forName("com.mysql.jdbc.Driver");
            //Class.forName("com.microsoft.sqlserver.jdbc.SQLServerDriver");
        } catch(java.lang.ClassNotFoundException ex) {
            System.err.print("ClassNotFoundException: ");
            System.err.println(ex.getMessage());
        }
        
        try {
            System.out.println("Connecting");
            con = DriverManager.getConnection(url, login, passwd);
            stmt  = con.createStatement();
           

            //ADD YOUR SQL-SENTENCES HERE !!
 
       } catch(SQLException ex) {
            System.err.print("SQLException: ");
            System.err.println(ex.getMessage());
        }
        
        System.out.println("closing");
        try {
            stmt.close();
            if (con != null) con.close();
            
        } catch(SQLException ex) {
            System.err.print("SQLException: ");
            System.err.println(ex.getMessage());
        }
    }
}